Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.master.search.enterprise
Class EOSearchResultComparator

    java.lang.Object
      com.sun.mdm.index.master.search.enterprise.EOSearchResultComparator

All Implemented Interfaces:
  java.util.Comparator, java.io.Serializable

public class EOSearchResultComparator
extends java.lang.Object
implements java.util.Comparator, java.io.Serializable

Comparator for EOSearchResultRecords

See Also:
  Serialized Form

Constructor Summary
`EOSearchResultComparator(java.lang.String fqfn, boolean reverse)` Creates a new instance of EOSearchResultComparator

Method Summary
`int` | `compare(java.lang.Object obj1, java.lang.Object obj2)` Compare this object with one in parameter field
`java.lang.String` | `toString()` String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`compare, equals`

Constructor Detail

### EOSearchResultComparator

    public EOSearchResultComparator(java.lang.String fqfn,
                                    boolean reverse)

  Creates a new instance of EOSearchResultComparator

  Parameters:
    `fqfn` - Fully qualified field name
    `reverse` - set true for reverse comparison

Method Detail

### compare

    public int compare(java.lang.Object obj1,
                       java.lang.Object obj2)

  Compare this object with one in parameter field

  Parameters:
    `obj1` - Object 1
    `obj2` - Object 2
  Returns:
    Standard comparator output

### toString

    public java.lang.String toString()

  String representation

  Returns:
    String representation

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.